Subject: bug#29565: [PATCH] Support xwidget webkit for macOS X

From: Alan Third <[email-masked]>
Date: Mon, 10 Aug 2020 21:06:14 +0200 (CEST)

On Mon, Aug 10, 2020 at 03:55:02PM +0200, Lars Ingebrigtsen wrote:
> Stefan Kangas <[email-masked]> writes:
> 
> > This work was continued by Sungbin Jo.  I believe that the latest code
> > is here:
> >
> > https://lists.gnu.org/archive/html/emacs-devel/2019-07/msg00435.html
> >
> > There were some roadblocks to merging this.  See the following thread
> > for a discussion:
> >
> > https://lists.gnu.org/archive/html/emacs-devel/2019-08/msg00033.html
> 
> If I understand this correctly, we're not merging Sungbin's patch
> because gcc doesn't understand the "block" thing in Objective C
> (yet)...  but gcc can't compile the Emacs trunk currently either, so
> this isn't really a regression?
> 
> I may be misunderstanding -- I've only skimmed the two threads.
> 
> But if that's the case, this shouldn't really be something that hinders
> inclusion of Sungbin's patch anyway.  Especially since the xwidget stuff
> is an optional feature.

I felt it was pretty clear that RMS did not want this code in Emacs.
We've already had to remove code that used blocks, even though as you
point out, GCC can't build Emacs on macOS anyway.

I don't really understand the argument.

If you wish to argue the point with RMS, go ahead. :)
-- 
Alan Third